Bug 736837 - Rotate display fails on GTX 560
Summary: Rotate display fails on GTX 560
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 20:01 UTC by sadam36
Modified: 2011-09-12 15:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-12 15:30:24 UTC


Attachments (Terms of Use)
dmesg (2 bytes, application/octet-stream)
2011-09-08 20:01 UTC, sadam36
no flags Details
Xorg log (66.41 KB, text/x-log)
2011-09-08 20:02 UTC, sadam36
no flags Details

Description sadam36 2011-09-08 20:01:36 UTC
Created attachment 522194 [details]
dmesg

Description of problem: Rotating display usuallys work for the first time (not always). After second rotation I get black screen.  


Steps to Reproduce:
1. Open gnome-control-center display
2. Select rotation; hit apply; cancel changes
3. Select another rotation, hit apply
  
Actual results:
Screen goes black.

Expected results:
Everything should work fine.

Comment 1 sadam36 2011-09-08 20:02:28 UTC
Created attachment 522195 [details]
Xorg log

Comment 2 Ben Skeggs 2011-09-09 03:42:47 UTC
What version of xorg-x11-drv-nouveau do you have installed?

A bug similar to what you reported should have been fixed by this build: http://koji.fedoraproject.org/koji/buildinfo?buildID=260001

Comment 3 sadam36 2011-09-12 15:30:24 UTC
It was testday ISO (running on USB stick) - 0.0.16-26. 

After update and restarting X everything works fine (even shell started working - no more fallback mode). 

Great job! :)


Note You need to log in before you can comment on or make changes to this bug.